Вопрос Как установить несколько версий Firefox (4.0 и 3.6), предпочтительно используя apt


у меня есть firefox пакет (Firefox 3.6), установленный в Ubuntu 10.04. Я бы хотел установить Firefox 4.0 из Mozilla PPA, но сохранить 3,6? Инструкции выглядят так, что они заменят текущий пакет firefox новым firefox. Можно ли установить оба метода apt-get? Есть ли способ назвать исполняемые файлы firefox-3.6 а также firefox-4.0 и имеют firefox указать на одну из них?

Если вы не можете использовать apt, то какой способ установить несколько пакетов с тем же именем, которые будут автоматически обновляться (или, по крайней мере, легко обновляться)?


4
2018-04-07 22:09


происхождения




ответы:


Если вы используете убунт-Mozilla-ежедневно ppa от mozillateam, он не заменит ваш 3.6. Однако вы не получите стабильных версий. Например, ppa теперь распространяет Firefox 7.0a1.

sudo add-apt-repository ppa:ubuntu-mozilla-daily/ppa
sudo apt-get update
sudo apt-get install firefox-trunk

Если вы хотите использовать бета-версию Firefox 5, используйте PPA: mozillateam / светлячок-некст,

Для получения дополнительной информации см. http://www.webgapps.org/tutorials/firefox/general/installing-other-versions и Firefox 4 Mega Thread,

Если вы хотите протестировать несколько версий, проверьте мой расширение FoxTester:

http://www.webgapps.org/add-ons/foxtester

https://addons.mozilla.org/en-US/firefox/addon/foxtester/


5
2018-04-07 23:30



Отличный совет, +1! Вопрос: является ли mozillateam официальным PPA? Будет ли это поддерживаться / обновляться для каждого выпуска вверх по течению? - MestreLion
Мне пришлось разделить мой ответ, потому что он слишком длинный: Ubuntu имеет политику обновления, которая включает только исправления безопасности. Поэтому, когда какой-то разработчик приложений выпускает новую крупную версию, которая обычно включает в себя новые функции и, возможно, изменения в графическом интерфейсе, она попадает только в официальные репозитории, когда Canonical выпускает новую версию Ubuntu, которая происходит каждые 6 месяцев. - lovinglinux
С выпуском Firefox 3.6 Canonical открыла исключение, так как Mozilla прекратила предоставлять обновления для системы безопасности серии 3.0, что было по умолчанию для некоторых версий Ubuntu. Итак, Canonical решила направить Firefox 3.6 во все репозитории Ubuntu, даже те, которые используют Firefox 3.5. Это был непростой переход, и обновление вызвало несколько проблем, особенно в тех версиях Ubuntu, которые все еще используют Firefox 3.0. - lovinglinux
Таким образом, не распространено и маловероятно, что Canonical будет подталкивать еще одну главную версию Firefox в официальный репозиторий, если Mozilla не прекратит предоставлять обновления для используемых в настоящее время версий (3.6). Поскольку график разработки Firefox теперь предсказывает новый основной выпуск каждые 6-12 недель, более вероятно, что Mozilla не будет поддерживать Firefox 3.6 до тех пор, пока он поддерживает Firefox 3.0. Когда это произойдет, вы можете увидеть, что последний Firefox будет перенаправлен на официальный репозиторий, но, вероятно, это не будет Firefox 4. - lovinglinux
@MestreLion - я просто прочитал статью, в которой говорится, что Mozilla не будет предоставлять обновления для системы безопасности для более старых версий, так как Firefox будет выполнять молчащие обновления в Windows. Это определенно повлияет на Ubuntu, и мы увидим, что новые версии вставляются в репозитории, помимо политики обновления Ubuntu. - lovinglinux